|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QXmlStreamNamespaceDeclaration Class Reference
[QtCore module]

The QXmlStreamNamespaceDeclaration class represents a namespace declaration. More...

     #include <QXmlStreamNamespaceDeclaration>

Note: All the functions in this class are reentrant.

This class was introduced in Qt 4.3.

- List of all members, including inherited members

### Public Functions

- QXmlStreamNamespaceDeclaration ()
- QXmlStreamNamespaceDeclaration ( const QXmlStreamNamespaceDeclaration & other )
- QXmlStreamNamespaceDeclaration ( const QString & prefix, const QString & namespaceUri )
- ~QXmlStreamNamespaceDeclaration ()
- QStringRef namespaceUri () const
- QStringRef prefix () const
- bool operator!= ( const QXmlStreamNamespaceDeclaration & other ) const
- QXmlStreamNamespaceDeclaration & operator= ( const QXmlStreamNamespaceDeclaration & other )
- bool operator== ( const QXmlStreamNamespaceDeclaration & other ) const

### Related Non-Members

- typedef QXmlStreamNamespaceDeclarations

## Detailed Description

The QXmlStreamNamespaceDeclaration class represents a namespace declaration.

An namespace declaration consists of a prefix() and a namespaceUri().

## Member Function Documentation

### QXmlStreamNamespaceDeclaration::QXmlStreamNamespaceDeclaration ()

Creates an empty namespace declaration.

### QXmlStreamNamespaceDeclaration::QXmlStreamNamespaceDeclaration ( const QXmlStreamNamespaceDeclaration & other )

Creates a copy of other.

### QXmlStreamNamespaceDeclaration::QXmlStreamNamespaceDeclaration ( const QString & prefix, const QString & namespaceUri )

Creates a namespace declaration with prefix and namespaceUri.

This function was introduced in Qt 4.4.

### QXmlStreamNamespaceDeclaration::~QXmlStreamNamespaceDeclaration ()

Destructs this namespace declaration.

### QStringRef QXmlStreamNamespaceDeclaration::namespaceUri () const

Returns the namespaceUri.

### QStringRef QXmlStreamNamespaceDeclaration::prefix () const

Returns the prefix.

### bool QXmlStreamNamespaceDeclaration::operator!= ( const QXmlStreamNamespaceDeclaration & other ) const

Compares this namespace declaration with other and returns true if they are not equal; otherwise returns false.

### QXmlStreamNamespaceDeclaration & QXmlStreamNamespaceDeclaration::operator= ( const QXmlStreamNamespaceDeclaration & other )

Assigns other to this namespace declaration.

### bool QXmlStreamNamespaceDeclaration::operator== ( const QXmlStreamNamespaceDeclaration & other ) const

Compares this namespace declaration with other and returns true if they are equal; otherwise returns false.

## Related Non-Members

### typedef QXmlStreamNamespaceDeclarations

Synonym for QVector<QXmlStreamNamespaceDeclaration>.